# Assignment 3 - Movie Search
 
Movie Search is an application that allows a user to search for movies bases on the search query, rating, popularity, latest movies, etc. The user will have the option to view the movie details such as ratings, reviews, similar movies, etc.


## Getting Started

These instructions will get you a copy of the project up and running on your local environment for development and testing
purposes. See deployment for notes on how to deploy the project on a live system.

### Prerequisites

* Node.js Installed
* Chrome Web Browser Installed

### Installation

In order to properly setup your development environment and run this project follow the below steps

* Install the required packages using the following command

```bash
    npm install
```
* Start the application in development mode using the following commands
```bash
	npm start
```

### Set up for deployment

* Enter the following commands to run the project

```bash
    npm install
    npm run build
```

* Deploy the dist folder on the netlify server.

### Testing

Enter the following commands to run the project

```bash
npm run tests
```

## Built With


* [React JS](https://reactjs.org/) - Frontend Framework
* [Meterial UI](https://mui.com/) - Frontend UI Framework
* [React Storybook](https://storybook.js.org/) - Creating the library of reusable components
* [Jest](https://jestjs.io/) - Unit Testing Library
* [Vercel (Formally Zeit)](https://vercel.com/) - For deployment
* [GitLab](https://about.gitlab.com/) - For Version Control

## Deployed on

* [Vercel](https://react-assignment-movie-search-murex.vercel.app/)

## Authors

* [Farhan Kiyani](https://github.com/farhan2742)